LibreOffice: XUniversalContentBroker Interface Reference

LibreOffice LibreOffice 7.3 SDK API Reference

Loading...
Searching...
No Matches
Exported Interfaces | List of all members
XUniversalContentBroker Interface Referencepublished
Inheritance diagram for XUniversalContentBroker:

## Exported Interfaces
interface | com::sun::star::lang::XComponent
| must be implemented to make it possible to resolve cyclic object references. More...
interface | com::sun::star::ucb::XContentProvider
| provides access to all kind of contents provided by the registered content providers. More...
interface | com::sun::star::ucb::XContentProviderManager
| provides access to a set of content providers registered with the UCB. More...
interface | com::sun::star::ucb::XContentIdentifierFactory
| creates XContentIdentifier implementation objects for all kind of contents provided by the UCB. More...
interface | com::sun::star::ucb::XCommandProcessor2
| Enables the caller to execute commands at the broker. More...

## Additional Inherited Members
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references. More...
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object. More...
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XContentProvider
com::sun::star::ucb::XContent | queryContent ([in] com::sun::star::ucb::XContentIdentifier Identifier) raises ( com::sun::star::ucb::IllegalIdentifierException )
| creates a new XContent instance, if the given XContentIdentifier matches a content provided by the implementation of this interface. More...
long | compareContentIds ([in] com::sun::star::ucb::XContentIdentifier Id1, [in] com::sun::star::ucb::XContentIdentifier Id2)
| compares two XContentIdentifiers. More...
Public Member Functions inherited from XContentProviderManager
com::sun::star::ucb::XContentProvider | registerContentProvider ([in] com::sun::star::ucb::XContentProvider Provider, [in] string Scheme, [in] boolean ReplaceExisting) raises ( com::sun::star::ucb::DuplicateProviderException )
| registers a content provider for a specific URL template. More...
void | deregisterContentProvider ([in] com::sun::star::ucb::XContentProvider Provider, [in] string Scheme)
| deregisters a content provider. More...
sequence< com::sun::star::ucb::ContentProviderInfo > | queryContentProviders ()
| returns a list of information on all registered content providers. More...
com::sun::star::ucb::XContentProvider | queryContentProvider ([in] string Identifier)
| returns the currently active content provider for a content identifier. More...
Public Member Functions inherited from XContentIdentifierFactory
com::sun::star::ucb::XContentIdentifier | createContentIdentifier ([in] string ContentId)
| creates an identifier. More...
Public Member Functions inherited from XCommandProcessor2
void | releaseCommandIdentifier ([in] long CommandId)
| releases a command identifier obtained through XCommandProcessor::createCommandIdentifier() when it is no longer used. More...
Public Member Functions inherited from XCommandProcessor
long | createCommandIdentifier ()
| creates a unique identifier for a command. More...
any | execute ([in] Command aCommand, [in] long CommandId, [in] XCommandEnvironment Environment) raises ( com::sun::star::uno::Exception, CommandAbortedException )
| executes a command. More...
void | abort ([in] long CommandId)
| ends the command associated with the given id. More...

## Detailed Description

Since
  LibreOffice 4.0

## Exported Interfaces

## ◆ com::sun::star::lang::XComponent

interface com::sun::star::lang::XComponent

must be implemented to make it possible to resolve cyclic object references.

Those references i.e. may occur if content provider implementations hold references to the Broker. The Broker itself always holds its providers. If the Broker shall be released, com::sun::star::lang::XComponent::dispose() must be called at the Broker. The implementation of this method must call com::sun::star::lang::XEventListener::disposing() on the registered listeners (the providers holding the Broker must be those listeners) and release the appropriate object references. At the other hand, the implementation of XEventListener::disposing must release its appropriate references.

This interface is required.

## ◆ com::sun::star::ucb::XCommandProcessor2

interface com::sun::star::ucb::XCommandProcessor2

Enables the caller to execute commands at the broker.

Is an enhanced version of XCommandProcessor that has an additional method for releasing command identifiers obtained via XCommandProcessor::createCommandIdentifier() to avoid resource leaks. For a detailed description of the problem refer to XCommandProcessor2::releaseCommandIdentifier().

        <p>This interface is required.

        <p><pre>
        =======================================================================
        Commands:
        =======================================================================

        [return type]
            [command name]
                [parameter type and name]

        -----------------------------------------------------------------------
        Required commands:
        -----------------------------------------------------------------------

This command obtains an interface which allows to query information on commands supported by the Content Broker.

        XCommandInfo
            getCommandInfo
                void

This command transfers Contents from one location to another. Additionally, it can be used to create a link to a Content. The implementation must be able to handle Contents provided by any Content Provider. This is different from the command "transfer" that can be supported by a Content. That command typically can only handle Contents provided by one ContentProvider.

        void
            globalTransfer
                GlobalTransferCommandArgument
        </pre>

## ◆ com::sun::star::ucb::XContentIdentifierFactory

interface com::sun::star::ucb::XContentIdentifierFactory

creates XContentIdentifier implementation objects for all kind of contents provided by the UCB.

This interface is required.

## ◆ com::sun::star::ucb::XContentProvider

interface com::sun::star::ucb::XContentProvider

provides access to all kind of contents provided by the registered content providers.

This interface is required.

## ◆ com::sun::star::ucb::XContentProviderManager

interface com::sun::star::ucb::XContentProviderManager

provides access to a set of content providers registered with the UCB.

This interface is required.

The documentation for this interface was generated from the following file:

- com/sun/star/ucb/XUniversalContentBroker.idl